Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018820
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementminoralways2011-10-20 13:162012-05-25 12:10
ReporterpsanjuanView Statuspublic 
Assigned ToSandrahuguet 
PriorityhighResolutionfixedFixed in Version3.0MP12
StatusclosedFix in branchpiFixed in SCM revision14fa9e4fa73f
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabaseOracleJava version1.6
OS VersionUbuntu 8.04.1Database version11.1.0.6.0Ant version1.7.0
Product VersionSCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018820: Create Purchase Invoices from Deliveries process seems not to work.

DescriptionCreate Purchase Invoices from Deliveries should behave as describe below:

"There is a process "Create Purchase Invoices from Deliveries" which allows to create supplier's invoices from deliveries or goods-shipments dated on a given period of time.
Let's imagine that our Company works with a supplier from whom we acquire very expensive items/goods. Besides our Company has an agreement with the supplier which implies that the supplier is not going to invoice those items to us until we tell them to do so, once those items have being sold and delivered to a customer.
This process can be found at the application path:
Procurement Management // Transactions // Create Purchase Invoices from Deliveries"

but...it seems it does not work.
Steps To ReproduceCreate at least two shipments on Sales Management for 2 items/products making sure that quantity on hand is enough for both of them.
Goods Shipments dated on October 2011.
Launch the process by entering below data:

- Starting Date = 01-10-2011
- Ending Date = 31-10-2011
- Warehouse = España Región Norte
- Vendor = Refrescos Frias
- Order Reference = empty
- Invoice Date = 31-10-2011

Press OK.
Nothing happens.
The process is completed properly but no purchase invoice is created.

Proposed SolutionWe should research on the code because it could be something is missing here and that's the reason why it does not work.
TagsVMA-Reviewed
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0018964 closedjonalegriaesarte "Create Purchase Invoices from Deliveries" should not be accessible to "Openbravo Admin" role as this is an advanced feature 
related to defect 0019528 closedumartirena Service Project should be hidden by the configuration script 
depends on defect 0020188pi closedSandrahuguet Paymentrule is mandatory in the database in c_invoice table, and this field is deprecated now. 
related to defect 0017337 closedvmromanos Check why there's not way to launch the report 'Warehouse movement' (RptM_Movement) 

-  Notes
(0047342)
Sandrahuguet (developer)
2012-04-03 13:30
edited on: 2012-04-03 13:35

Test Plan 1:
Go to Goods Shipments and create one:
 - Organization: F&B US, Inc.
 - Warehouse: US East Coast
 - Business Partner: Happy Drinks, Inc.
 - Movement Date: 03-04-2012
 - Add a new line
   ·Product= Ale Beer
   ·Movement Quantity=2

Go to Create Purchase Invoices from Deliveries
 - Starting Date: 01-04-2012
 - Ending Date: 30-04-2012
 - Warehouse: US East Coast
 - Vendor: Happy Drinks, Inc.
 - Invoice Date: 30-04-2012

And you can see the purchase invoice create.

Test Plan 2:
Go to Goods Shipments and create one:
 - Organization: F&B US, Inc.
 - Warehouse: US East Coast
 - Business Partner: Happy Drinks, Inc.
 - Movement Date: 03-04-2012
 - Add a new line
   ·Product= Apple juice
   ·Movement Quantity=10

Go to Create Purchase Invoices from Deliveries
 - Starting Date: 01-04-2012
 - Ending Date: 30-04-2012
 - Warehouse: US East Coast
 - Vendor: Happy Drinks, Inc.
 - Invoice Date: 30-04-2012

And you can see the message: Has not defined a pricelist to the product Apple juice


Test Plan 3:
Go to Business Partner
Select Happy Drinks, Inc.
Go to vendor tab and select blank to Purchase Pricelist

Go to Create Purchase Invoices from Deliveries
 - Starting Date: 01-04-2012
 - Ending Date: 30-04-2012
 - Warehouse: US East Coast
 - Vendor: Happy Drinks, Inc.
 - Invoice Date: 30-04-2012

And you can see the message: Has not defined a pricelist to the business partner

(0047756)
vmromanos (developer)
2012-04-19 15:39

This process was developed for a very specific customer need. It creates purchase invoices for a concrete business partner for all the goods shipments related to a project (defined at the Service project window) where this business partner is included into the list of suppliers (Supplier tab).

The service project is not displayed anymore (0019528), so this process should also be hidden.
(0047784)
Sandrahuguet (developer)
2012-04-20 12:15

Test Plan:
In Quick Launch write Create Purchase Invoices from Deliveries, notice that you can not go to this process.
(0047942)
hgbot (developer)
2012-04-25 09:16

Repository: erp/devel/pi
Changeset: cc3f11024ed78a12207012cc6968b184c1afa71c
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Apr 25 09:04:40 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cc3f11024ed78a12207012cc6968b184c1afa71c [^]

Fixed issue 18820 Hidden Create PI from Deliveries process

---
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_PROCESS.xml
---
(0047943)
vmromanos (developer)
2012-04-25 09:16

code review + testing OK
(0047961)
hgbot (developer)
2012-04-25 15:50

Repository: erp/devel/pi
Changeset: 01c9ee1b4fb9a1b566fc487d578e6ff10e387d29
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Apr 25 15:50:07 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/01c9ee1b4fb9a1b566fc487d578e6ff10e387d29 [^]

Issue 18820: backout changeset to fix API check

---
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_PROCESS.xml
---
(0048092)
hudsonbot (developer)
2012-04-26 19:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/70a717a9ffa1 [^]

Maturity status: Test
(0048095)
hudsonbot (developer)
2012-04-26 19:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/70a717a9ffa1 [^]

Maturity status: Test
(0048485)
hgbot (developer)
2012-05-09 08:52

Repository: erp/devel/pi
Changeset: 14fa9e4fa73f9163d8643ae7525612894ad636b1
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Apr 25 16:40:40 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/14fa9e4fa73f9163d8643ae7525612894ad636b1 [^]

Fixed issue 18820 Hidden Create PI from Deliveries process

---
M src-db/database/sourcedata/AD_MENU.xml
---
(0048486)
vmromanos (developer)
2012-05-09 08:52

Code review + testing OK
The menu entry is now hidden
(0049072)
hudsonbot (developer)
2012-05-25 12:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-10-20 13:16 psanjuan New Issue
2011-10-20 13:16 psanjuan Assigned To => jonalegriaesarte
2011-10-20 13:16 psanjuan Web browser => Google Chrome
2011-10-20 13:16 psanjuan Modules => Core
2011-11-03 13:11 psanjuan Relationship added related to 0018964
2012-02-15 19:04 iciordia Assigned To jonalegriaesarte => vmromanos
2012-02-16 17:49 vmromanos Tag Attached: VMA-Reviewed
2012-03-28 15:18 Sandrahuguet Assigned To vmromanos => Sandrahuguet
2012-03-28 15:22 Sandrahuguet Status new => scheduled
2012-03-28 15:22 Sandrahuguet fix_in_branch => pi
2012-04-03 13:30 Sandrahuguet Note Added: 0047342
2012-04-03 13:35 Sandrahuguet Note Edited: 0047342 View Revisions
2012-04-13 09:14 Sandrahuguet Relationship added depends on 0020188
2012-04-19 15:25 vmromanos Relationship added related to 0019528
2012-04-19 15:39 vmromanos Note Added: 0047756
2012-04-20 12:15 Sandrahuguet Note Added: 0047784
2012-04-25 09:16 hgbot Checkin
2012-04-25 09:16 hgbot Note Added: 0047942
2012-04-25 09:16 hgbot Status scheduled => resolved
2012-04-25 09:16 hgbot Resolution open => fixed
2012-04-25 09:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cc3f11024ed78a12207012cc6968b184c1afa71c [^]
2012-04-25 09:16 vmromanos Note Added: 0047943
2012-04-25 09:16 vmromanos Status resolved => closed
2012-04-25 09:16 vmromanos Fixed in Version => 3.0MP11
2012-04-25 15:50 vmromanos Status closed => new
2012-04-25 15:50 vmromanos Resolution fixed => open
2012-04-25 15:50 vmromanos Fixed in Version 3.0MP11 =>
2012-04-25 15:50 hgbot Checkin
2012-04-25 15:50 hgbot Note Added: 0047961
2012-04-25 16:16 Sandrahuguet Status new => scheduled
2012-04-26 19:32 hudsonbot Checkin
2012-04-26 19:32 hudsonbot Note Added: 0048092
2012-04-26 19:32 hudsonbot Checkin
2012-04-26 19:32 hudsonbot Note Added: 0048095
2012-04-30 17:28 naiaramartinez Relationship added related to 0017337
2012-05-09 08:52 hgbot Checkin
2012-05-09 08:52 hgbot Note Added: 0048485
2012-05-09 08:52 hgbot Status scheduled => resolved
2012-05-09 08:52 hgbot Resolution open => fixed
2012-05-09 08:52 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/cc3f11024ed78a12207012cc6968b184c1afa71c [^] => http://code.openbravo.com/erp/devel/pi/rev/14fa9e4fa73f9163d8643ae7525612894ad636b1 [^]
2012-05-09 08:52 vmromanos Note Added: 0048486
2012-05-09 08:52 vmromanos Status resolved => closed
2012-05-09 08:52 vmromanos Fixed in Version => 3.0MP12
2012-05-25 12:10 hudsonbot Checkin
2012-05-25 12:10 hudsonbot Note Added: 0049072


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker